Package com.google.earth.kml._2

# Class ModelType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.GeometryType
com.google.earth.kml._2.ModelType

public class ModelType extends GeometryType
<p>Java class for ModelType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ModelType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}GeometryType"> <sequence> <element name="altitudeMode" type="{http://earth.google.com/kml/2.1}altitudeModeEnum" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}Location" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}Orientation" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}Scale" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}Link" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected AltitudeModeEnum`
  `altitudeMode`
  `protected LinkType`
  `link`
  `protected LocationType`
  `location`
  `protected OrientationType`
  `orientation`
  `protected ScaleType`
  `scale`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModelType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AltitudeModeEnum`
  `getAltitudeMode()`
  Gets the value of the altitudeMode property.
  `LinkType`
  `getLink()`
  Gets the value of the link property.
  `LocationType`
  `getLocation()`
  Gets the value of the location property.
  `OrientationType`
  `getOrientation()`
  Gets the value of the orientation property.
  `ScaleType`
  `getScale()`
  Gets the value of the scale property.
  `void`
  `setAltitudeMode(AltitudeModeEnum value)`
  Sets the value of the altitudeMode property.
  `void`
  `setLink(LinkType value)`
  Sets the value of the link property.
  `void`
  `setLocation(LocationType value)`
  Sets the value of the location property.
  `void`
  `setOrientation(OrientationType value)`
  Sets the value of the orientation property.
  `void`
  `setScale(ScaleType value)`
  Sets the value of the scale property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### altitudeMode

    protected AltitudeModeEnum altitudeMode

  - ### location

    protected LocationType location

  - ### orientation

    protected OrientationType orientation

  - ### scale

    protected ScaleType scale

  - ### link

    protected LinkType link

- ## Constructor Details

  - ### ModelType

    public ModelType()

- ## Method Details

  - ### getAltitudeMode

    public AltitudeModeEnum getAltitudeMode()
    Gets the value of the altitudeMode property.
    Returns:
      possible object is `AltitudeModeEnum`

  - ### setAltitudeMode

    public void setAltitudeMode(AltitudeModeEnum value)
    Sets the value of the altitudeMode property.
    Parameters:
      `value` - allowed object is `AltitudeModeEnum`

  - ### getLocation

    public LocationType getLocation()
    Gets the value of the location property.
    Returns:
      possible object is `LocationType`

  - ### setLocation

    public void setLocation(LocationType value)
    Sets the value of the location property.
    Parameters:
      `value` - allowed object is `LocationType`

  - ### getOrientation

    public OrientationType getOrientation()
    Gets the value of the orientation property.
    Returns:
      possible object is `OrientationType`

  - ### setOrientation

    public void setOrientation(OrientationType value)
    Sets the value of the orientation property.
    Parameters:
      `value` - allowed object is `OrientationType`

  - ### getScale

    public ScaleType getScale()
    Gets the value of the scale property.
    Returns:
      possible object is `ScaleType`

  - ### setScale

    public void setScale(ScaleType value)
    Sets the value of the scale property.
    Parameters:
      `value` - allowed object is `ScaleType`

  - ### getLink

    public LinkType getLink()
    Gets the value of the link property.
    Returns:
      possible object is `LinkType`

  - ### setLink

    public void setLink(LinkType value)
    Sets the value of the link property.
    Parameters:
      `value` - allowed object is `LinkType`